/*
 * Project_name:
     Port Expander ports as Output
 * Copyright:
     (c) Mikroelektronika, 2010.
 * Revision History
     20101029:
    - Initial release;
    - 20101029(RR);
 * Description:
     This is code that sets Port Expander ports as Output.
 * Test configuration:
     MCU:             ac:ATmega16
                      http://www.atmel.com/dyn/resources/prod_documents/doc2466.pdf

     Dev.Board:       ac:EasyAVR6
                      http://www.mikroe.com/eng/products/view/321/easyavr6-development-system/

     Oscillator:      External Clock 08.0000 MHz

     Ext. Modules:    ac:Port_Expander_Board
                      http://www.mikroe.com/eng/products/view/142/port-expander-board/

     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/eng/products/view/228/mikroc-pro-for-avr/

 * NOTES:
  - For regular functionality MCU must work on 8.0000 MHz oscillator.
  - Port Expander Board must be connected on PortC and Hardware Address
   						 Selector on 0 (all three jumpers A0, A1 and A2)
*/


// Port Expander module connections
sbit  SPExpanderRST at PORTB0_bit;
sbit  SPExpanderCS  at PORTB1_bit;
sbit  SPExpanderRST_Direction at DDB0_bit;
sbit  SPExpanderCS_Direction  at DDB1_bit;
// End Port Expander module connections

void main(){
  Spi1_Init();
  Expander_Init(0);                           // initialize port expander

  Expander_Set_DirectionPortA(0, 0);          // set expander's portA to be output

  Expander_Set_DirectionPortB(0, 0);          // set expander's portB to be output
}